/*
 * C
 *
 * Copyright 2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#ifndef _LLCOMM_UART_CONFIGURATION
#define _LLCOMM_UART_CONFIGURATION

/* Defines -------------------------------------------------------------------*/

/*
 * Defines the software FIFO size for transmission used by MicroEJ framework.
 * If not defined, a default value is used.
 */
#define LLCOMM_UART_TX_BUFFER_SIZE 5

/*
 * Defines the software FIFO size for reception used by MicroEJ framework
 * If not defined, a default value is used.
 */
#define LLCOMM_UART_RX_BUFFER_SIZE 1*1024

/* EOF -----------------------------------------------------------------------*/

#endif  // _LLCOMM_UART_CONFIGURATION
