
/*
 *	H
 *
 *	Copyright 2016 IS2T. All rights reserved.
 *	IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#ifndef _DAC_MANAGER
#define _DAC_MANAGER

/* Includes ------------------------------------------------------------------*/

#include "hal_k65.h"

/* API -----------------------------------------------------------------------*/

/*
 * Initialize all ADCs
 */
int32_t dac_manager_initialize(void);

/*
 * Configure DAC for given GPIO
 */
int32_t dac_manager_set_value(hal_k65_gpio_data* gpio, int32_t percentage);

/* EOF -----------------------------------------------------------------------*/

#endif // _DAC_MANAGER
