/*
 * Copyright 2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#ifndef _LLDISPLAY_INTERN
#define _LLDISPLAY_INTERN

/* Includes ------------------------------------------------------------------*/

#include "LLDISPLAY_configuration.h"
#include "LLDISPLAY_EXTRA.h"
#include "LLDISPLAY_EXTRA_drawing.h"

/* Defines -------------------------------------------------------------------*/

#define LCD_WIDTH	(320)
#define LCD_HEIGHT	(240)

/* API -----------------------------------------------------------------------*/

// functions according LLDISPLAY_BPP
uint32_t LLDISPLAY_BPP_get_LTDC_COLOR_MODE(void);
uint32_t LLDISPLAY_BPP_get_DMA2D_COLOR_MODE(void);
uint32_t LLDISPLAY_BPP_get_lcd_format(void);
uint32_t LLDISPLAY_BPP_get_data(uint32_t addr);

// others
uint32_t LLDISPLAY_get_width(uint32_t width);

#endif
