/*
 * C
 *
 * Copyright 2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#ifndef LCD_MANAGER
#define LCD_MANAGER

/* Includes ------------------------------------------------------------------*/

#include <stdint.h>

#include "MK65F18.h"
#include "fsl_common.h"
#include "fsl_clock.h"
#include "fsl_port.h"
   
#include "lcdc.h"


typedef struct _lcdCopyParameters {
  int32_t xmin;
  int32_t ymin;
  int32_t xmax;
  int32_t ymax;
  uint16_t * srcAddr;
} lcdCopyParameters_t;

extern lcdCopyParameters_t copyParams;

/* API -----------------------------------------------------------------------*/

void LCD_MANAGER_initialize(void);
void LCD_MANAGER_LayerDefaultInit(void);

#endif
